//
// residue.cxx
//
// Copyright (C) 1996-7 by Leonard Janke (janke@unixg.ubc.ca)

#include <linteger/residue.hxx>

LInteger ResidueClass::ring(LInteger(1u));

ResidueClass::ResidueClass()
{
}

ResidueClass::ResidueClass(const LInteger& residue) 
{
  _principalResidue=residue%ring;
}

ResidueClass::~ResidueClass()
{
}

ResidueClass::ResidueClass(const ResidueClass& x) 
  : _principalResidue(x._principalResidue)
{
}
